# VASSAL Reference Manual

Home > Module > Game Piece Palette > Game Piece > Prototype

## Prototype

A Prototype is a set of common traits that can be shared. To use the prototype, simply type the name of a prototype that has been previously defined. A Game Piece may contain any number of Prototype traits in any order.
EXAMPLE: A Prototype named "Vehicle" can be defined with "Can Rotate" "Text Label" and "Can be Marked Moved" traits. Any counter can use these traits by using a Prototype trait and specifying "Vehicle" as the name. If the module author later decides that vehicles should also have another trait, it need only be added to the Prototype definition.